rule based labelling is not saved in qml style files

2015-10-25 01:41 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21701

Description

Rule-based labeling information of a layer doesn't get saved when exporting the style.

To reproduce:

- Load a vector layer 

- Set a lebel

- Save the style as qml

- Close the layer and re-open it

- Try to apply the saved qml

The label is always set to No labels for me. (2.12 cd9d645)

Related issues:

Related to QGIS Application - Bug report # 14441: Labeling settings not prope... Closed 2016-03-08

Associated revisions

Revision ab83b825 - 2015-12-30 10:43 PM - Sebastian Dietrich 

Refresh the label style widget when loading a new style (fixes #13667)

the QgsLabelingWidget is triggered to reload its settings when

- loading a style file

- loading a style from a database

- loading the default style

Revision 04caab24 - 2016-01-13 03:24 AM - Nyall Dawson

Merge pull request #2542 from SebDieBln/RefreshStyleWidgetOnLoadStyle

Refresh the label style widget when loading a new style (fixes #13667)

History

#1 - 2015-10-25 01:42 AM - Saber Razmjooei

- Category set to Labelling

- Target version set to Version 2.12

#2 - 2015-10-26 01:44 AM - Saber Razmjooei

- Subject changed from Rule-based labeling can't be saved with styles to Labeling can't be saved with styles (qml)

#3 - 2015-10-26 01:56 AM - Saber Razmjooei
Seems to be related to the introduction of combo box for the new labeling.

If I do:

iface.activeLayer().loadNamedStyle('/path/to/my_style.qml')

And refresh my canvas the labels will be applied. But if I do it through load style...it doesn't work.

#4 - 2015-10-26 01:59 AM - Saber Razmjooei

- Subject changed from Labeling can't be saved with styles (qml) to Labeling is igonred when applying styles (qml)

#5 - 2015-11-05 03:45 AM - Steven Bernard

I have a similar issue where old qml style files, which have rule-based labelling in, no longer work when I try to apply them in 2.12. As mentioned this is

likely because of the new dropdown menu. Isn't there a simple way to map the old .qml rule-based label style to the rule-based labelling dropdown menu

option in 2.12?

#6 - 2015-11-05 08:09 AM - Giovanni Manghi

- Subject changed from Labeling is igonred when applying styles (qml) to rule based labelling is not saved in qml style files

- Target version deleted (Version 2.12)

#7 - 2015-12-06 02:11 AM - Harry Clarke

- Target version set to Future Release - High Priority

Can this be fixed please as it is causing me problems, and workaround a lot of extra work

#8 - 2015-12-06 10:50 AM - Sebastian Dietrich

See PR 2542 for an early present from Santa Claus ;-)

workaround a lot of extra work

Also note the following easy workaround, in case the PR takes a while to be merged or you are not able/willing to update to the nightly build:

    -  Open the layer properties dialog

    -  Load the style

    -  Cancel the dialog

=> The style is applied to the layer, but is not yet visible.

To actually see it refresh the canvas, e.g. using the Refresh tool or by simply panning/zooming.

#9 - 2016-01-12 04:03 PM - Sebastian Dietrich

- Assignee set to Sebastian Dietrich

- % Done changed from 0 to 100

- Pull Request or Patch supplied changed from No to Yes

#10 - 2016-01-12 06:24 PM - Nyall Dawson

- Status changed from Open to Closed
Fixed in changeset commit:"04caab24a722ae13006f41baef7e12d191e32d3b".

#11 - 2016-03-03 08:36 AM - R. R.

- Status changed from Closed to Reopened

Labeling information is still missing when loading a .qml file in QGIS 2.14.

#12 - 2016-03-13 06:23 AM - Sebastian Dietrich

- Status changed from Reopened to Feedback

I can not reproduce. Are you loading styles saved in an older version of QGIS?

Please attach a QML file that does not load correctly in 2.14.

#13 - 2016-03-19 02:06 PM - R. R.

- Status changed from Feedback to Closed

Please see bug report #14441 for further details.
